/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.saas.config;

import net.northking.cctp.common.db.mode.DataSourceClusterProperties;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.ArrayList;
import java.util.List;

/**
 * SaaS模型下的参数配置
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
@ConfigurationProperties(prefix = "nk.saas")
public class SaaSProperties
{
  @Value("${spring.application.name}")
  private String appName;

  public String getAppName()
  {
    return appName;
  }

  public void setAppName(String appName)
  {
    this.appName = appName;
  }

  private List<DataSourceClusterProperties> dataSourceClusters = new ArrayList<>();

  public void setDataSourceClusters(List<DataSourceClusterProperties> dataSourceClusters)
  {
    this.dataSourceClusters = dataSourceClusters;
  }

  public List<DataSourceClusterProperties> getDataSourceClusterProperties()
  {
    return this.dataSourceClusters;
  }

}
